id3dev 26.01 An ID3 metadata library

Loading...
Searching...
No Matches
_Id3v1Tag Struct Reference

ID3v1/ID3v1.1 tag structure containing all metadata fields. More...

`#include <id3v1Types.h>`

## Data Fields
uint8_t | title [ID3V1_FIELD_SIZE]
| Song title (ID3V1_FIELD_SIZE bytes, null-padded)
uint8_t | artist [ID3V1_FIELD_SIZE]
| Artist name (ID3V1_FIELD_SIZE bytes, null-padded)
uint8_t | albumTitle [ID3V1_FIELD_SIZE]
| Album title (ID3V1_FIELD_SIZE bytes, null-padded)
int | year
| Release year (4-digit integer)
int | track
| Track number (0 if not present, ID3v1.1 only)
uint8_t | comment [ID3V1_FIELD_SIZE]
| Comment text (ID3V1_FIELD_SIZE bytes, null-padded; ID3V1_FIELD_SIZE - 2 bytes if track number present)
Genre | genre
| Genre value (0-191, maps to Genre enum)

## Detailed Description

ID3v1/ID3v1.1 tag structure containing all metadata fields.

Holds fixed-size string buffers (ID3V1_FIELD_SIZE bytes each) for title, artist, album, and comment, plus numeric values for year, track number, and genre byte. Represents both ID3v1 and ID3v1.1 formats.

Definition at line 437 of file id3v1Types.h.

## Field Documentation

## ◆ albumTitle

uint8_t _Id3v1Tag::albumTitle[ID3V1_FIELD_SIZE]

Album title (ID3V1_FIELD_SIZE bytes, null-padded)

Definition at line 445 of file id3v1Types.h.

## ◆ artist

uint8_t _Id3v1Tag::artist[ID3V1_FIELD_SIZE]

Artist name (ID3V1_FIELD_SIZE bytes, null-padded)

Definition at line 442 of file id3v1Types.h.

## ◆ comment

uint8_t _Id3v1Tag::comment[ID3V1_FIELD_SIZE]

Comment text (ID3V1_FIELD_SIZE bytes, null-padded; ID3V1_FIELD_SIZE - 2 bytes if track number present)

Definition at line 454 of file id3v1Types.h.

## ◆ genre

Genre _Id3v1Tag::genre

Genre value (0-191, maps to Genre enum)

Definition at line 457 of file id3v1Types.h.

## ◆ title

uint8_t _Id3v1Tag::title[ID3V1_FIELD_SIZE]

Song title (ID3V1_FIELD_SIZE bytes, null-padded)

Definition at line 439 of file id3v1Types.h.

## ◆ track

int _Id3v1Tag::track

Track number (0 if not present, ID3v1.1 only)

Definition at line 451 of file id3v1Types.h.

## ◆ year

int _Id3v1Tag::year

Release year (4-digit integer)

Definition at line 448 of file id3v1Types.h.

The documentation for this struct was generated from the following file:

- /Users/ewanjones/projects/id3dev/include/id3v1/id3v1Types.h